Subject: [bug#73282] [PATCH] home: services: pipewire: Add utilities to profile.

From: Antero Mejr <[email-masked]>
Date: Wed, 30 Oct 2024 21:41:21 +0000

Rutherther <[email-masked]> writes:

> Nope, I don't have them in my profile and I can control volume and
> switch outputs just fine through pavucontrol.

pavucontrol is a Pulseaudio program that operates on top of the
pipewire-pulse compatibility layer. wpctl is the native program that
interacts with the pipewire library directly.

So it would make sense to add the native packages to the profile,
because users should not be expected to have control programs for other
sound servers installed.

To put it another way: if a daemon is running that is likely to require
control commands from the user, the packages to issue those control
commands should be added to the profile.